<form [formGroup]="addrsUserData" fxLayout="column" fxFlex="100">
    <h1 mat-dialog-title>Crear una dirección</h1>
    <div mat-dialog-content fxFlex="100" fxLayout="column">
        <mat-form-field appearance="outline" fxFlex="100">
            <mat-label>Departamento</mat-label>
            <mat-select formControlName="departamento">
                <ng-container *ngFor="let dpto of departamentos">
                    <mat-option [value]="dpto.id">
                        <div fxLayout="row" fxLayoutAlign="space-between center"><span>{{dpto.departamento}}</span></div>
                    </mat-option>
                </ng-container>
            </mat-select>
        </mat-form-field>
        <mat-form-field appearance="outline" fxFlex="100">
            <mat-label>Ciudad</mat-label>
            <input matInput placeholder="Ejemplo: Bogota" formControlName="ciudad">
        </mat-form-field>
        <mat-form-field appearance="outline" fxFlex="100">
            <mat-label>Dirección</mat-label>
            <input matInput placeholder="Ej: Cra 68b bis # 38-03..." formControlName="direccion">
        </mat-form-field>

    </div>
    <div mat-dialog-actions>
        <button mat-button (click)="onNoClick()">Cancelar</button>
        <button mat-button [disabled]="!addrsUserData.valid" [mat-dialog-close]="AddrsRegister" (click)="saveAddrModal()" cdkFocusInitial>Guardar</button>
    </div>
</form>
